xgb.save.raw {xgboost} | R Documentation

## Save xgboost model to R's raw vector, user can call xgb.load to load the model back from raw vector

### Description

Save xgboost model from xgboost or xgb.train

### Usage

    xgb.save.raw(model)

### Arguments

`model` | the model object.

### Examples

    data(agaricus.train, package='xgboost')
    data(agaricus.test, package='xgboost')
    train <- agaricus.train
    test <- agaricus.test
    bst <- xgboost(data = train$data, label = train$label, max_depth = 2,
                   eta = 1, nthread = 2, nrounds = 2,objective = "binary:logistic")
    raw <- xgb.save.raw(bst)
    bst <- xgb.load(raw)
    pred <- predict(bst, test$data)

[Package xgboost version 0.90.0.2 Index]